<?php
    /**
     * @file	sphinx.class.php
     * @class	sphinx
     * @brief	sphinx 모듈의 최상위 클래스
     * @author	ChoiHeeChul, KimJinHwan, ParkSunYoung
     *
     * @mainpage Sphinx Module
     * @section intro 소개
     * Sphinx 모듈은 오픈 소스 검색엔진인 Sphinx 엔진을 이용하여 통합 검색을 대체하여 빠른 검색을 하기위한 모듈입니다.\n
     * NHN의 루씬 모듈을 많은 부분 참고하였습니다. (감사합니다) \n
     * 큐브리드를 사용하는 루씬 모듈과는 달리 Mysql 을 사용하게 되어 있습니다. \n
     * 참고사이트
     * - http://sphinxsearch.com/
     **/
class sphinx extends moduleObject {
    
    /**
     * @brief 모듈 설치를 위해 추가적인 작업을 수행.
     */
    function moduleInstall() {
        return new Object();
    }

    /**
     * @brief 모듈 업데이트 여부를 리턴.
     */
    function checkUpdate() { 
        return false; 
    }

    /**
     * @brief 모듈 업데이트를 위한 작업을 수행.
     */
    function moduleUpdate() {
        return new Object(0, 'success_updated');
    }

    /**
     * @brief 캐시 재생성을 위한 작업을 수행.
     */
    function recompileCache() {
    }
}

?>
